URL structure
{approvalId} is an application’s approval ID.
Supported methods and overview
DELETE- revokes the access that a third party (i.e. non-Covata) client application (specified byapprovalId) has to resources on the Covata Platform, which are accessible to a Covata user (whose access token is submitted in the request to this endpoint).
This method takes no parameters.
Detailed description
This API endpoint revokes the access that a third party (i.e. non-Covata) client application (specified byapprovalId) has to resources on the Covata Platform, which are accessible to a Covata user (whose access token is submitted in the request to this endpoint).
An application’s approval ID is obtained using the <access-service>/api/v1/users/me/applications/approvals API endpoint, which retrieves a list of information about all client applications that this user (whose access token is submitted in the request to this endpoint) has approved access to their resources on the Covata Platform.
Such a client application could be one that you or your organization is developing, where this application integrates with Covata technologies either using the Covata API.
Before any client application can be granted access to a Covata user’s resources, a Safe Share administrator must first have registered the client application on their Covata Platform instance.
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Safe Share Administrator’s and Organization Administrator’s Guides):- Originator, Collaborator, Ad hoc, Safe Share administrator and Organization administrator - when this user has approved the client application (specified by
{approvalId}in the request’s URL) access to their resources on the Covata Platform.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
